### Method

# RB Source create_search_action

#### Declaration [src]

    GAction*
    rb_source_create_search_action (
      RBSource* source
    )

#### Description [src]

Creates a GAction representing the selected search type for `source`. The action is stateful. Its state is a string containing the name of a registered search instance. If the source has a settings instance, it will be updated when the state changes. Changes coming from the settings instance are ignored. If the source doesn’t have a settings instance, it should set a default state on the action at some point.

#### Return value

Type: `GAction`

`GAction` instance.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.